/// Two-dimensional geometry primitives for use in Dart.
///
/// This is an _optional_ library that is used in implementation details of the
/// game engine/framework, but can also be used to build your own shared
/// functionality.
library dazer.geometry;

import 'dart:math' as math;

import 'package:dazer/foundation.dart';
import 'package:meta/meta.dart';

part 'src/geometry/line.dart';
part 'src/geometry/point.dart';

/// Converts and returns [angleInRadians] as degrees.
double toDegrees(num angleInRadians) => (180 / math.pi) * angleInRadians;

/// Converts and returns [angleInDegrees] as radians.
double toRadians(num angleInDegrees) => (math.pi / 180) * angleInDegrees;
