import 'package:dazer/engine.dart';
import 'package:test/test.dart';

void main() {
  Scheduler scheduler;

  setUp(() {
    scheduler = new Scheduler()..update(0);
  });

  test('should schedule and invoke an event', () {
    final event = scheduler.schedule(
      const Duration(seconds: 5),
      expectAsync0(() {}),
    );
    expect(event.active, isTrue);
    scheduler.update(5000);
    expect(event.active, isFalse);
    expect(event.cancel(), isFalse);
  });

  test('should not invoke a cancelled event', () {
    final event = scheduler.schedule(
      const Duration(seconds: 5),
      expectAsync0(() {}, count: 0),
    );
    expect(event.active, isTrue);
    expect(event.cancel(), isTrue);
    expect(event.active, isFalse);
    scheduler.update(5000);
  });
}
