import 'package:dazer/foundation.dart';
import 'package:dazer/geometry.dart';
import 'package:test/test.dart';

void main() {
  test('should create an X,Y coordinate', () {
    const point = const Point(1, 2);
    expect(point.x, 1);
    expect(point.y, 2);
  });

  test('should be equal/hash same to a similar coordinate', () {
    // ignore: prefer_const_constructors
    final pointA = new Point(1, 2), pointB = new Point(1, 2);
    expect(pointA, isNot(same(pointB)));
    expect(pointA, pointB);
    expect(pointA.hashCode, pointB.hashCode);
  });

  test('should add two coordinates', () {
    expect(const Point(1, 2) + const Point(2, 3), const Point(3, 5));
  });

  test('should subtract two coordinates', () {
    expect(const Point(3, 5) - const Point(2, 3), const Point(1, 2));
  });

  test('should multiply two coordinates', () {
    expect(const Point(1, 2) * const Point(2, 4), const Point(2, 8));
  });

  test('should have a descriptive toString()', () {
    expect('${const Point(1, 2)}', 'Point {1, 2}');
  }, skip: !assertionsEnabled);
}
